## entangle-camera-support

entangle-camera-support

## Functions

EntangleCameraSupport * | entangle_camera_support_new ()
void | entangle_camera_support_set_camera_list ()
EntangleCameraList * | entangle_camera_support_get_camera_list ()

## Properties

EntangleCameraList * | camera-list | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_CAMERA_SUPPORT
| EntangleCameraSupport

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── EntangleCameraSupport

## Implemented Interfaces

EntangleCameraSupport implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### entangle_camera_support_new ()

    EntangleCameraSupport *
    entangle_camera_support_new (void);

### entangle_camera_support_set_camera_list ()

    void
    entangle_camera_support_set_camera_list
                                   (EntangleCameraSupport *support,
                                    EntangleCameraList *list);

Set the camera list for the widget

#### Parameters

support | the camera support widget |
list | the list of cameras. | [transfer none][allow-none]

### entangle_camera_support_get_camera_list ()

    EntangleCameraList *
    entangle_camera_support_get_camera_list
                                   (EntangleCameraSupport *support);

Get the camera list

#### Parameters

support | the camera support widget |

#### Returns

the camera list or NULL.

[transfer none]

## Types and Values

### ENTANGLE_TYPE_CAMERA_SUPPORT

    #define ENTANGLE_TYPE_CAMERA_SUPPORT (entangle_camera_support_get_type())

### EntangleCameraSupport

    typedef struct _EntangleCameraSupport EntangleCameraSupport;

## Property Details

### The `“camera-list”` property

      “camera-list”              EntangleCameraList *

Camera list to query.

Owner: EntangleCameraSupport

Flags: Read / Write